#pragma once

namespace tinyxml2 {
class XMLElement;
}

class Node;

namespace pp::panopainter {

void load_legacy_ui_node(Node& node, const tinyxml2::XMLElement& x_node, bool skip_children = false);
void load_legacy_ui_children(Node& parent, const tinyxml2::XMLElement& x_node);

} // namespace pp::panopainter
